{
    attributes = (
        {
            columnName = "PCC_ETAT"; 
            externalType = VARCHAR2; 
            name = pccEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "PCC_ORDRE"; 
            externalType = NUMBER; 
            name = pccOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "PLA_QUOI"; 
            externalType = VARCHAR2; 
            name = plaQuoi; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (pccEtat, pccOrdre, pcoNum, plaQuoi, tcdOrdre); 
    className = "org.cocktail.fwkcktlcompta.server.metier.EOPlancoCredit"; 
    classProperties = (pccEtat, pcoNum, plaQuoi, toTypeCredit); 
    externalName = "maracuja.planco_credit"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (pccEtat, pcoNum, plaQuoi, toTypeCredit); 
        "_javaClientClassName" = "org.cocktail.fwkcktlcompta.client.metier.EOPlancoCredit"; 
    }; 
    name = "FwkCktlCompta_PlancoCredit"; 
    primaryKeyAttributes = (pccOrdre); 
    relationships = (
        {
            destination = "FwkJefyAdmin_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = toTypeCredit; 
        }
    ); 
}
